Subject: Re: [PATCH v8 00/24] wfx: get out from the staging area

From: Kalle Valo <[email-masked]>
Date: Thu, 07 Oct 2021 11:22:50 +0300

Jérôme Pouiller <[email-masked]> writes:

> On Tuesday 5 October 2021 16:20:19 CEST Kalle Valo wrote:
>> Jerome Pouiller <[email-masked]> writes:
>> 
>> > From: Jérôme Pouiller <[email-masked]>
> [...]
>> >
>> > v8:
>> >   - Change the way the DT is handled. The user can now specify the name of
>> >     the board (= chip + antenna) he use. It easier for board designers to
>> >     add new entries. I plan to send a PR to linux-firmware to include PDS
>> >     files of the developpement boards belong the firmware (I also plan to
>> >     relocate these file into wfx/ instead of silabs/). (Kalle, Pali)
>> >   - Prefix visible functions and structs with "wfx_". I mostly kept the
>> >     code under 80 columns. (Kalle, Pali, Greg)
>> >   - Remove support for force_ps_timeout for now. (Kalle)
>> >   - Fix licenses of Makefile, Kconfig and hif_api*.h. (Kalle)
>> >   - Do not mix and match endianess in struct hif_ind_startup. (Kalle)
>> >   - Remove magic values. (Kalle)
>> >   - Use IS_ALIGNED(). (BTW, PTR_IS_ALIGNED() does not exist?) (Kalle)
>> >   - I have also noticed that some headers files did not declare all the
>> >     struct they used.
>> >
>> >   These issues remain (I hope they are not blockers):
>> >   - I have currently no ideas how to improve/simplify the parsing PDS file.
>> >     (Kalle)
>> >   - We would like to relate the SDIO quirks into mmc/core/quirks.h, but the
>> >     API to do that does not yet exist. (Ulf, Pali)
>> 
>> So is this a direct version from staging-next? If yes, what commit id did
>> you use? Or do you have your own set of patches on top of staging-next?
>
> I am based on 5e57c668dc09 from staging-next. (I have not rebased it between
> v7 and v8)

Commit 5e57c668dc09 is from Sep 14th, so I take it that you have your on
patches on top of staging-next.

But please don't send a new version of the patchset too often, at least
try to keep two weeks between versions but preferably even more. It's
quite difficult when you send a new version and there are still ongoing
discussions in the previous version.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches